# std::negate< _Tp > Struct Template Reference
[Arithmetic Classes]

Inheritance diagram for std::negate< _Tp >:

List of all members.

## Detailed Description

### template<class _Tp>
struct std::negate< _Tp >

Definition at line 179 of file stl_function.h.

## Public Types

- typedef _Tp argument_type
- typedef _Tp result_type

## Public Member Functions

- _Tp operator() (const _Tp &__x) const

## Member Typedef Documentation

typedef _Tp std::unary_function< _Tp , _Tp >::argument_type`[inherited]`

`argument_type` is the type of the

Definition at line 104 of file stl_function.h.

typedef _Tp std::unary_function< _Tp , _Tp >::result_type`[inherited]`

argument (no surprises here) `result_type` is the return type

Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h